public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-servers/nginx-unit/
Date: Mon, 30 Jul 2018 20:23:02 +0000 (UTC)	[thread overview]
Message-ID: <1532982179.53c6a8409e3078aa92d8e7e9003bd287c8831150.mgorny@gentoo> (raw)

commit:     53c6a8409e3078aa92d8e7e9003bd287c8831150
Author:     Ralph Seichter <github <AT> seichter <DOT> de>
AuthorDate: Wed Jul 18 19:14:23 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 30 20:22:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53c6a840

www-servers/nginx-unit: Added 'ruby' use flag

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild | 43 +++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild b/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild
new file mode 100644
index 00000000000..9a9a22e39cd
--- /dev/null
+++ b/www-servers/nginx-unit/nginx-unit-1.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="unit-${PV}"
+
+DESCRIPTION="A dynamic web and application server"
+HOMEPAGE="https://unit.nginx.org"
+SRC_URI="https://unit.nginx.org/download/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="perl python ruby"
+REQUIRED_USE="|| ( ${IUSE} )"
+
+DEPEND="perl? ( dev-lang/perl:= )
+	python? ( dev-lang/python:= )
+	ruby? ( dev-lang/ruby:= )"
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+	./configure \
+		--prefix=/usr \
+		--log=/var/log/${PN} \
+		--state=/var/lib/${PN} \
+		--pid=/run/${PN}.pid \
+		--control=unix:/run/${PN}.sock || die "Core configuration failed"
+	for flag in ${IUSE} ; do
+		if use ${flag} ; then
+			./configure ${flag} || die "Module configuration failed: ${flag}"
+		fi
+	done
+}
+
+src_install() {
+	default
+	diropts -m 0770
+	keepdir /var/lib/${PN}
+	newinitd "${FILESDIR}/${PN}.initd" ${PN}
+}


             reply	other threads:[~2018-07-30 20:23 UTC|newest]

Thread overview: 93+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-30 20:23 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-19 13:44 [gentoo-commits] repo/gentoo:master commit in: www-servers/nginx-unit/ Mike Pagano
2024-06-15 22:09 Mike Pagano
2024-05-27 18:05 Mike Pagano
2024-04-02 22:19 Mike Pagano
2024-03-31 16:18 Mike Pagano
2024-03-30 21:58 Mike Pagano
2024-03-07 19:17 Mike Pagano
2024-02-27 23:29 Mike Pagano
2024-02-19 18:05 Mike Pagano
2024-02-19 18:05 Mike Pagano
2023-10-25 17:24 Mike Pagano
2023-10-20 13:00 Mike Pagano
2023-09-09 19:00 David Seifert
2023-09-03 20:23 Mike Pagano
2023-09-03 20:23 Mike Pagano
2023-09-03 20:23 Mike Pagano
2023-09-03 20:23 Mike Pagano
2023-09-01 11:46 Mike Pagano
2023-08-12 19:50 Mike Pagano
2023-08-12 19:48 Mike Pagano
2023-05-29 20:17 Mike Pagano
2023-05-12 18:03 Mike Pagano
2023-05-12 15:20 Mike Pagano
2023-04-22 19:56 Mike Pagano
2023-04-22 19:56 Mike Pagano
2023-03-02 14:38 Mike Pagano
2023-03-02 14:37 Mike Pagano
2023-03-01 19:57 Mike Pagano
2023-03-01 19:46 Mike Pagano
2023-01-25 20:43 Mike Pagano
2023-01-20 13:38 Mike Pagano
2022-12-15 16:43 Mike Pagano
2022-11-11 18:05 Mike Pagano
2022-11-10  0:28 Sam James
2022-10-05 16:06 Mike Pagano
2022-09-14 13:59 Mike Pagano
2022-08-24 17:48 Mike Pagano
2022-07-08 16:58 Mike Pagano
2022-07-08 16:33 Mike Pagano
2022-03-17 22:45 Mike Pagano
2022-01-30 23:56 Mike Pagano
2022-01-26 14:24 Mike Pagano
2022-01-01 18:28 Mike Pagano
2021-12-02 22:56 Mike Pagano
2021-11-18 19:18 Mike Pagano
2021-10-18 16:28 Mike Pagano
2021-09-19  0:58 Sam James
2021-09-09 22:15 Mike Pagano
2021-06-22 18:19 Sam James
2021-04-13 15:59 Sam James
2021-04-12 15:50 Sam James
2021-02-16 18:39 Sam James
2021-02-16 18:39 Sam James
2021-02-16 18:39 Sam James
2021-02-11  8:11 Sam James
2020-11-22  9:11 Joonas Niilola
2020-11-22  9:11 Joonas Niilola
2020-11-22  9:11 Joonas Niilola
2020-11-21  7:21 Joonas Niilola
2020-10-13  9:26 Agostino Sarubbo
2020-10-11  9:30 Joonas Niilola
2020-06-12 14:46 Thomas Deutschmann
2020-05-10 22:42 Thomas Deutschmann
2020-05-07 13:29 Agostino Sarubbo
2020-04-17 15:10 Joonas Niilola
2020-04-17 15:10 Joonas Niilola
2020-03-14 12:07 Joonas Niilola
2020-02-13 21:40 David Seifert
2020-02-13  6:26 Joonas Niilola
2020-02-10 12:12 Michał Górny
2020-02-07  6:16 Joonas Niilola
2019-12-27 18:10 Aaron Bauman
2019-11-17  7:46 Joonas Niilola
2019-11-17  7:46 Joonas Niilola
2019-10-30 16:01 Joonas Niilola
2019-10-30 16:01 Joonas Niilola
2019-10-28  6:52 Joonas Niilola
2019-10-11 14:16 Joonas Niilola
2019-10-11 14:16 Joonas Niilola
2019-09-20 18:19 Joonas Niilola
2019-08-25 11:37 Joonas Niilola
2019-08-04 11:11 Michał Górny
2019-06-07 19:17 Thomas Deutschmann
2019-06-07 14:14 Thomas Deutschmann
2019-05-26 11:44 Mikle Kolyada
2019-03-04  1:35 Thomas Deutschmann
2019-02-13 13:56 Brian Evans
2019-02-13 13:44 Thomas Deutschmann
2018-12-22 23:17 Thomas Deutschmann
2018-12-04 20:39 Michał Górny
2018-10-27 12:13 Michał Górny
2018-07-30 20:23 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1532982179.53c6a8409e3078aa92d8e7e9003bd287c8831150.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox